Commit c0d5aff3 authored by Filipe Saraiva's avatar Filipe Saraiva

Add recommended version to Octave backend

Close T3860
parent 60cc35e0
......@@ -46,6 +46,11 @@ QString OctaveBackend::id() const
return QLatin1String("octave");
}
QString OctaveBackend::version() const
{
return QLatin1String("4.0 and 4.2");
}
Cantor::Backend::Capabilities OctaveBackend::capabilities() const
{
return SyntaxHighlighting | Completion | SyntaxHelp | VariableManagement;
......
......@@ -29,6 +29,7 @@ class OctaveBackend : public Cantor::Backend
explicit OctaveBackend( QObject* parent = 0,const QList<QVariant> args = QList<QVariant>());
~OctaveBackend();
virtual QString id() const;
virtual QString version() const override;
virtual Cantor::Backend::Capabilities capabilities() const;
virtual Cantor::Session* createSession();
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment